---
sidebar_position: 3
---

# Flutter Wear OS app 🤖⌚️

Template for a Wear OS app based on the [Core][core_link]. It includes VGV best practices with additional setup to make Flutter apps stand out on Wear OS devices.

![Very Good Wear_App][wear_os_photo]

:::note
Read more about this app template [in our blog][blog].
:::

## App Features ✨

- **Condensed Layout** - The layout is optimized for the small screen size of Wear OS devices.

- **Hooked into the Hardware** - The app has a sample usage of the hardware resources of the device.

- **Ambient Mode** - The app has a sample usage of the ambient mode of the device.

- **100% Test Coverage** — Each line is executed at least once by a test.

- **Based on the Core** - This project contains all the best practices of the [Core][core_link].

## Usage

```sh
# Create a new Wear OS app named my_wear_app
very_good create flutter_app my_wear_app --desc "My new Wear OS app" --template wear
```

[blog]: https://verygood.ventures/blog/building-wear-os-apps-with-flutter-a-very-good-guide
[core_link]: /docs/templates/core
[wear_os_photo]: /img/watch.jpeg
